#include<bits/stdc++.h>
using namespace std;
int main(){
    long long n,l,d;
    cin>>n>>l;
    long long res=0;
    bool bul=true;
    for(long long i=0; i<n; i++){
        cin>>d;
        if(bul){
            if(d<=l){
                bul=false;
                res=i+1;
            }
        }
    }
    if(bul){
        cout<<-1;
    }
    else{
        cout<<res;
    }
}